# -*- coding: utf-8 -*-
from openerp import models, fields, tools, api
import openerp.addons.decimal_precision as dp
from datetime import datetime

class accountLoan(models.Model):
    _name = 'account.loan'

    name = fields.Char()
    date = fields.Date('Date', help="Fecha de operación")
    comment = fields.Text('Comment', help="Información adicional")
    state = fields.Selection([('rejected','Rechazado'),('draft','Borrador'),('approved','Aprobado'), ('disbursed','Desembolsado'),('paid','Pagado')],
    'Estado del préstamo', default="draft", help="Estado del préstamo")
    amount = fields.Float('amount', digits_compute=dp.get_precision('Account'), required=True, help="Monto del pago")
    # Cliente
    customer_id = fields.Many2one('res.partner', string="customer")
    ## Line
    lines_ids = fields.One2many('account.loan.line', 'loan_id', string='loan line')

    '''
        Create
    '''
    @api.model
    def create(self, vals):
        accountLoan = super(AccountLoan, self).create(vals)
        accountLoan.write({'name':("PRÉSTAMO/%s/0000%d" % (accountLoan.customer_id.name, accountLoan.id))})
        return accountLoan

class accountLoanLine(models.Model):
    _name = 'account.loan.line'

    ## Interest
    loan_id = fields.Many2one('account.loan', string='Account loan', ondelete='cascade', index=True, required=True)
    state = fields.Selection([('open','Abierto'),('invoiced','Facturado'),('paid','Pagado')],'Estado de la cuota', default="open")
